<?php

use Hyperf\Database\Schema\Schema;
use Hyperf\Database\Schema\Blueprint;
use Hyperf\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('logs', function (Blueprint $table) {
            $table->bigIncrements('uid');
            $table->string('log_type')->index();
            $table->string('log_category')->index();
            $table->text('description')->nullable();
            $table->json('server_data')->nullable();
            $table->json('session_data')->nullable();
            $table->string('useruid')->nullable()->index();
            $table->timestamp('log_time')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('logs');
    }
};
